import 'package:yflutter_widgets/widgets/listview/ylvconfigs.dart';
import 'package:yflutter_widgets/widgets/ycustom_card.dart';
import 'package:flutter/material.dart';

class YLVBody extends StatelessWidget {
  YLVBody({
    @required this.cell,
    @required this.numRow,
    @required this.sectionIndex,
    this.hasBoarder = false,
  });

  final CellOfRowAtIndex cell;
  final int numRow;
  final int sectionIndex;
  final bool hasBoarder;

  @override
  Widget build(BuildContext context) {
    return SliverList(
      delegate: SliverChildBuilderDelegate((BuildContext context, num index) {
        return hasBoarder
            ? YCustomCard(
                insideWidget: Column(
                  children: List.generate(
                      numRow, (indexx) => cell(context, sectionIndex, indexx)),
                ),
                sEdgeInsets:
                    EdgeInsets.only(left: 16, top: 8, right: 16, bottom: 8))
            : cell(context, sectionIndex, index);
      }, childCount: hasBoarder?1:numRow), //子Item的个数
    );
  }
}
