import 'package:yflutter_widgets/configs/colors_config.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

/// Tag Item Setup
class YTagItem extends StatelessWidget {
  final content;
  final int index;
  final bool isSelected;
  YTagItem({this.content, this.index = 0, this.isSelected = false});

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      padding: EdgeInsets.fromLTRB(
          ScreenUtil().setWidth(9),
          ScreenUtil().setWidth(2),
          ScreenUtil().setWidth(9),
          ScreenUtil().setWidth(2)),
      decoration: BoxDecoration(
          color: isSelected ? ColorsConfig.c_e9f7f8 : ColorsConfig.c_f7f7f7,
          borderRadius: BorderRadius.all(Radius.circular(20))),
      child: Text(content,
          style: TextStyle(
              color: isSelected
                  ? ColorsConfig.kLeftBackColor
                  : ColorsConfig.kColorBlack,
              fontSize: ScreenUtil().setSp(14))),
    );
  }
}
