import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:yflutter_widgets/widgets/tagsgridview/ytag_item.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter/material.dart';

/// Tags Grid View.
class YTagsGridView extends StatefulWidget {
  final List<String> tagList;
  final bool selectable;
  final selectedIndex;
  final ValueChanged selectCallback;

  YTagsGridView(
      {@required this.tagList,
      this.selectable = false,
      this.selectedIndex = 0,
      this.selectCallback});

  @override
  _YTagsGridViewState createState() => _YTagsGridViewState();
}

class _YTagsGridViewState extends State<YTagsGridView> {
  int _currentIndex = 0;

  @override
  void initState() {
    super.initState();
    _currentIndex = widget.selectedIndex;
  }

  @override
  Widget build(BuildContext context) {
    return GridView.count(
      padding: EdgeInsets.only(
          top: ScreenUtil().setWidth(16),
          right: ScreenUtil().setWidth(16),
          left: ScreenUtil().setWidth(16),
          bottom: ScreenUtil().setWidth(16)),
      crossAxisCount: 3,
      physics: NeverScrollableScrollPhysics(),
      scrollDirection: Axis.vertical,
      crossAxisSpacing: ScreenUtil().setSp(24),
      mainAxisSpacing: ScreenUtil().setSp(18),
      shrinkWrap: true,
      reverse: false,
      childAspectRatio: 110 / 36,
      children: List.generate(
          widget.tagList.length,
          (index) => Container(
                // child: Text("Hello"),
                child: GestureDetector(
                    onTap: !widget.selectable
                        ? null
                        : () {
                            if (widget.selectCallback != null)
                              widget.selectCallback(index);
                            setState(() {
                              _currentIndex = index;
                            });
                            // widget.selectCallback(index);
                          },
                    child: widget.selectable
                        ? YTagItem(
                            content: widget.tagList[index],
                            isSelected: _currentIndex == index,
                          )
                        : YTagItem(
                            content: widget.tagList[index],
                          )),
              )),
    );
  }
}
