import 'package:yflutter_widgets/configs/colors_config.dart';
import 'package:flutter/widgets.dart';

/// Customized Dash line separator
/// axis: Direction of the line, Default Horizontal,
/// dotSize: The width and height of each dot, Default is 3 by 3, round,
/// count: The count of dots in the line.
/// color: The color of dots, Default 0xff2c2c2c.
class YDashedLine extends StatelessWidget {
  final Axis axis;
  final Size dotSize;
  final int count;
  final Color color;

  YDashedLine({
    this.axis = Axis.horizontal,
    this.count = 10,
    this.dotSize = const Size(3, 3),
    this.color = ColorsConfig.kColorBlack});

  @override
  Widget build(BuildContext context) {
    return Flex(
      direction: axis,
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: List.generate(count, (_) => dashDot()),
    );
  }

  // Create a dot widget for future extension.
  Widget dashDot() {
    return SizedBox(
      width: dotSize.width,
      height: dotSize.height,
      child: DecoratedBox(
        decoration: BoxDecoration(color: color,borderRadius: BorderRadius.circular(dotSize.width)),
      ),
    );
  }

}
